POST

/api/v1/json/bulk/email

Send bulk emails via JSON API

Email

Parameters

Parameter Type Required Description
to string | list Required Recipient email address(es) - can be a single string or list
subject string Required Email subject
email_body string Required Email content
from string Required Sender identifier
user_reference_id string Optional Email unique reference ID
reply_to string Optional Email reply-to address
source string Optional Department or source of the message

Request & Response Examples

Request Body

{
  "email_body": "

Security Update

Dear Valued Customer,

We have implemented important security improvements to protect your account. Please log in within the next 7 days to activate these features.

Best regards,
Security Team

", "from": "security@company.com", "subject": "Important Account Security Update - Action Required", "to": [ "john.doe@example.com" ] }

Response Body

{
  "api_reference": "1764184811523850780",
  "data": [
    {
      "email_address": "john.doe@example.com",
      "message_id": "5",
      "status": "ACKNOWLEDGED"
    }
  ],
  "message": "successful",
  "success": true
}

Code Examples

-keyword">curl -X POST https://api.unicom360.com/api/v1/json/bulk/email \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{\n  "to": [\n    "john.doe@example.com"\n  ],\n  "subject": "Important Account Security Update - Action Required",\n  "email_body": "

Security Update

Dear Valued Customer,

We have implemented important security improvements to protect your account. Please log in within the next 7 days to activate these features.

Best regards,
Security Team

",\n "from": "security@company.com"\n}\n'

Test This Endpoint

A test message with timestamp will be automatically sent.